package com.brilliance.isc.common.esb.clm;

import com.brilliance.isc.esb.model.inner.*;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

//@RequestMapping("/webapi/jk")
public interface IClmFeign {
    @PostMapping("/webapi/jk/CL81")
    InnerRes<InnerResCL81> callCL81(InnerReq<InnerReqCL81> innerReqCL81InnerReq);

    @PostMapping("/webapi/jk/CL41")
    InnerRes<InnerResCL41> callCL41(InnerReq<InnerReqCL41> innerReqCL81InnerReq);

    @PostMapping("/webapi/jk/CL42")
    InnerRes<InnerResCL42> callCL42(InnerReq<InnerReqCL42> innerReqCL42InnerReq);

    @PostMapping("/webapi/jk/CL43")
    InnerRes<InnerResCL43> callCL43(InnerReq<InnerReqCL43> innerReqCL83InnerReq);

    @PostMapping("/webapi/jk/CM51")
    InnerRes<InnerResCM51> callCM51(InnerReq<InnerReqCM51> innerReqCM51InnerReq);

    @PostMapping("/webapi/jk/CL82")
    InnerRes<InnerResCL82> callCL82(InnerReq<InnerReqCL82> innerReqCL82InnerReq);

    @PostMapping("/webapi/jk/CL83")
    InnerRes<InnerResCL83> callCL83(InnerReq<InnerReqCL83> innerReqCL83InnerReq);

    @PostMapping("/webapi/jk/CL85")
    InnerRes<InnerResCL85> callCL85(InnerReq<InnerReqCL85> innerReqCL85InnerReq);

    @PostMapping("/webapi/jk/CL86")
    InnerRes<InnerResCL86> callCL86(InnerReq<InnerReqCL86> innerReqCL86InnerReq);

    @PostMapping("/webapi/jk/CL44")
    InnerRes<InnerResCL44> callCL44(InnerReq<InnerReqCL44> innerReqCL44InnerReq);

    @PostMapping("/webapi/jk/CL40")
    InnerRes<InnerResCL40> callCL40(InnerReq<InnerReqCL40> innerReqCL40InnerReq);

    @PostMapping("/webapi/jk/6605")
    InnerRes<InnerRes6605> call6605(InnerReq<InnerReq6605> innerReq6605);

    @PostMapping("/webapi/jk/axqQianshu1")
    InnerRes<InnerReqAxqQianshu1> callQianshu1(InnerReq<InnerReqAxqQianshu1> innerReqAxqQianshu1InnerReq);

    @PostMapping("/webapi/jk/CL45")
    InnerRes<InnerResCL45> callCl45(InnerReq<InnerReqCL45> innerReqCL45InnerReq);

}
